Bug 1013862 - hwcert-backend submit traceback on submit
hwcert-backend submit traceback on submit
Status: VERIFIED
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
1.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Pavel Stehlik
:
Depends On: 1013787
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 20:46 EDT by Greg Nichols
Modified: 2016-07-05 14:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: hwcert-client 1.7.0-60
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1013787
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backend,py patch fixing traceback (1.42 KB, patch)
2013-10-09 13:24 EDT, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2013-09-30 20:46:55 EDT
+++ This bug was initially created as a clone of Bug #1013787 +++

`hwcert-backend submit` fails

hwcert-client-1.6.5-17.el6.noarch

happens reliably on at least ppc64 with failing results for 1GigEthernet test

expected submit command to succeed


Results stored on ibm-js22-04.rhts.eng.brq.redhat.com,
 submitting to https://hardware.redhat.com:

 Arch: ppc64  OS: RHEL 6.5:

    1 -> localhost 09-30-2013 at: 17:56
         failed: 1GigEthernet, 1GigEthernet, info

Select Results (<number>|all|none|quit|submit): submit
response: submit
Traceback (most recent call last):
  File "/usr/bin/hwcert-backend", line 45, in <module>
    success = hwcertBackend.do(args)
  File "/usr/share/hwcert/lib/hwcert/backend.py", line 183, in do
    result = self.commands[self.command]()
  File "/usr/share/hwcert/lib/hwcert/backend.py", line 334, in doSubmit
    self.__submitFilesToCatalog(files, selection)
  File "/usr/share/hwcert/lib/hwcert/backend.py", line 444, in __submitFilesToCatalog
    for (root, file) in files:
ValueError: too many values to unpack

$ echo $?
1

--- Additional comment from Greg Nichols on 2013-09-30 20:05:52 EDT ---



--- Additional comment from Greg Nichols on 2013-09-30 20:12:06 EDT ---

committed to R18
Comment 1 Greg Nichols 2013-10-09 13:24:27 EDT
Created attachment 810070 [details]
backend,py patch fixing traceback
Comment 4 Petr Beňas 2013-10-24 09:07:50 EDT
Reproduced in hwcert-client-1.7.0-59.el7.noarch and verified in hwcert-client-1.7.0-60.el7.noarch.

Note You need to log in before you can comment on or make changes to this bug.